org.apache.uima.jcas.cas

## Class BooleanArray_Type

- java.lang.Object
- - org.apache.uima.jcas.cas.TOP_Type
  - - org.apache.uima.jcas.cas.CommonArray_Type
    - - org.apache.uima.jcas.cas.BooleanArray_Type

-     public final class BooleanArray_Type
      extends CommonArray_Type

  The java Cas model for the CAS BooleanArray_Type

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `typeIndexID` this types ID - used to index a localTypeArray in JCas to get an index which indexes the global typeArray in JCas instance to get a ref to this instance

    - ### Fields inherited from class org.apache.uima.jcas.cas.TOP_Type

      `casImpl, casType, casTypeCode, instanceOf_Type, jcas, ll_cas, lowLevelArrayBoundChecks, lowLevelTypeChecks, useExistingInstance`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BooleanArray_Type(JCas jcas, Type casType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `copyFromArray(int addr, boolean[] src, int srcOffset, int destOffset, int length)`
    `void` | `copyToArray(int addr, int srcOffset, boolean[] dest, int destOffset, int length)`
    `boolean` | `get(int addr, int i)`
    `protected org.apache.uima.cas.impl.FSGenerator<?>` | `getFSGenerator()`
    `void` | `set(int addr, int i, boolean v)`
    `boolean[]` | `toArray(int addr)`

    - ### Methods inherited from class org.apache.uima.jcas.cas.CommonArray_Type

      `size`

    - ### Methods inherited from class org.apache.uima.jcas.cas.TOP_Type

      `addToIndexes, checkType, getTypeIndexID, invalidTypeArg, noObjCreate, removeFromIndexes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### typeIndexID

          public static final int typeIndexID

      this types ID - used to index a localTypeArray in JCas to get an index which indexes the global typeArray in JCas instance to get a ref to this instance

  - ### Constructor Detail

    - #### BooleanArray_Type

          public BooleanArray_Type(JCas jcas,
                                   Type casType)

  - ### Method Detail

    - #### getFSGenerator

          protected org.apache.uima.cas.impl.FSGenerator<?> getFSGenerator()

      Overrides:
        `getFSGenerator` in class `TOP_Type`

    - #### get

          public boolean get(int addr,
                             int i)

      Parameters:
        `addr` - low-level int reference to the boolean array to get the value from
        `i` - index (in bits, 0 origin)
      Returns:
        the indexed value from the corresponding Cas StringArray as a Java String.
      See Also:
        `BooleanArrayFS.get(int)`

    - #### set

          public void set(int addr,
                          int i,
                          boolean v)

      Parameters:
        `addr` - low-level int reference to the boolean array to set the value into
        `i` - index (in bits, 0 origin)
        `v` - the value to set
      See Also:
        `updates the Cas, setting the indexed value to the value passed in.`

    - #### copyFromArray

          public void copyFromArray(int addr,
                                    boolean[] src,
                                    int srcOffset,
                                    int destOffset,
                                    int length)

      Parameters:
        `addr` - low-level int reference to the boolean array to set values into
        `src` - a Java boolean array to copy from
        `srcOffset` - the source offset
        `destOffset` - the destination offset
        `length` - the length (number of bits)
      See Also:
        `BooleanArrayFS.copyFromArray(boolean[], int, int, int)`

    - #### copyToArray

          public void copyToArray(int addr,
                                  int srcOffset,
                                  boolean[] dest,
                                  int destOffset,
                                  int length)

      Parameters:
        `addr` - low-level int reference to the boolean array to get values from
        `srcOffset` - the source offset
        `dest` - the target to put boolean values into
        `destOffset` - the destination offset
        `length` - the length, in bits
      See Also:
        `BooleanArrayFS.copyToArray(int, boolean[], int, int)`

    - #### toArray

          public boolean[] toArray(int addr)

      Parameters:
        `addr` - low-level int reference to the boolean array
      Returns:
        a Java boolean array
      See Also:
        `BooleanArrayFS.toArray()`

Copyright © 2006–2018 The Apache Software Foundation. All rights reserved.